## mirtop 0.4.23

=== requirements.txt ===
pysam
pybedtools
pandas
biopython
pyyaml
pybedtools
six

## mirtop 0.4.21

=== debian/changelog ===
mirtop (0.4.21-1) unstable; urgency=medium

  * Team upload.

  [ Karolis Kalantojus ]
  * Remove duplicated patch lines

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 15:24:03 +0200

mirtop (0.3.17-1) unstable; urgency=medium

  * Initial release (Closes: #903582)

 -- Karolis Kalantojus <karolis.kalantojus@gmail.com>  Sat, 09 Mar 2019 16:02:00 +0000

=== debian/control ===
Source: mirtop
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Karolis Kalantojus <karolis.kalantojus@gmail.com>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-recommonmark,
               python3-pysam,
               python3-pybedtools,
               python3-pandas,
               python3-biopython
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/mirtop
Vcs-Git: https://salsa.debian.org/med-team/mirtop.git
Homepage: https://github.com/miRTop/mirtop

Package: python3-mirtop
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-pysam,
         python3-pybedtools,
         python3-pandas,
         python3-biopython
Description: annotate miRNAs with a standard mirna/isomir naming (Python 3)
 The main goal of this project is to create a reflection group on metazoan
 microRNAs (miRNAs), open to all interested researchers, to identify blockages
 and develop standards and guidelines to improve miRNA research, resources and
 communication. This can go through the use of standardized file formats, gene
 and variants nomenclature guidelines, and advancements in miRNA biology
 understanding. The group will eventually also aim at expanding its breadth to
 the development of novel tools, data resources, and best-practices guidelines
 to benefit the scientific community by providing high confidence validated
 research and analysis strategies, regardless the expertise in this field.
 This package provides the Python modules for mirtop to execute correctly.

Package: mirtop
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mirtop
Description: annotate miRNAs with a standard mirna/isomir naming
 The main goal of this project is to create a reflection group on metazoan
 microRNAs (miRNAs), open to all interested researchers, to identify blockages
 and develop standards and guidelines to improve miRNA research, resources and
 communication. This can go through the use of standardized file formats, gene
 and variants nomenclature guidelines, and advancements in miRNA biology
 understanding. The group will eventually also aim at expanding its breadth to
 the development of novel tools, data resources, and best-practices guidelines
 to benefit the scientific community by providing high confidence validated
 research and analysis strategies, regardless the expertise in this field.
 This package provides the command line interface to mirtop.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=mirtop

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	@echo "Not testing."

override_dh_install:
	dh_install
	rm debian/python3-mirtop/usr/bin/mirtop

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

## mirtop 0.4.23

=== debian/changelog ===
mirtop (0.4.23-2) unstable; urgency=medium

  * Team Upload.

  [ Shruti Sridhar ]
  * Add autopkgtests

  [ Nilesh Patra ]
  * d/p/fix-circular-import.patch: Fix circular import

 -- Nilesh Patra <nilesh@debian.org>  Wed, 30 Jun 2021 18:18:19 +0000

mirtop (0.4.23-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Dec 2019 11:43:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pybedtools,
                python3-pandas,
                python3-biopython
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/mirtop
 Vcs-Git: https://salsa.debian.org/med-team/mirtop.git
 Homepage: https://github.com/miRTop/mirtop

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-nose, samtools, bedtools, seqan-apps
Restrictions: allow-stderr

## mirtop 0.4.24

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mirtop
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
mirtop (0.4.24-1) unstable; urgency=medium

  * Team Upload.
  [ Matúš Kalaš ]
  * Update citations
  * Pretty-printed metadata & removed double-quotes

  [ Nilesh Patra ]
  * New upstream version 0.4.24
  * Add python3-all to test-dep
  * Run cme
  * Update d/u/metadata

 -- Nilesh Patra <nilesh@debian.org>  Mon, 15 Nov 2021 16:15:14 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -15,7 +15,7 @@
                python3-pybedtools,
                python3-pandas,
                python3-biopython
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/mirtop
 Vcs-Git: https://salsa.debian.org/med-team/mirtop.git
 Homepage: https://github.com/miRTop/mirtop

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# No tests, yet
 	@echo "Not testing."
+endif
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-nose, samtools, bedtools, seqan-apps
Restrictions: allow-stderr

## mirtop 0.4.25

=== debian/changelog ===
mirtop (0.4.25-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with pandas 2.0 (Closes: #1044055)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Feb 2024 14:47:21 +0530

mirtop (0.4.25-4) unstable; urgency=medium

  * Team upload.
  * Verify that mirtop works with pandas 2.0
    Closes: #1044055
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jan 2024 21:16:00 +0100

mirtop (0.4.25-3) unstable; urgency=medium

  * Team upload.
  * Fix Python3 syntax
    Closes: #1040287
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jul 2023 14:13:45 +0200

mirtop (0.4.25-2) unstable; urgency=medium

  * Team upload.
  * pytest.patch: add; move away from nosetests.
  * d/t/control: replace nose by pytest.
  * d/t/run-unit-test: replace nose by pytest.
    Closes: #1018407
  * d/copyright: remove files excludes; removed upstream.
  * d/control: rules do not require root.

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 22:11:24 +0100

mirtop (0.4.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.25
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 11:23:26 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sphinx,
@@ -15,10 +15,11 @@
                python3-pybedtools,
                python3-pandas,
                python3-biopython
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mirtop
 Vcs-Git: https://salsa.debian.org/med-team/mirtop.git
 Homepage: https://github.com/miRTop/mirtop
+Rules-Requires-Root: no
 
 Package: python3-mirtop
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=mirtop
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## mirtop 0.4.28

=== debian/changelog ===
mirtop (0.4.28-3) unstable; urgency=medium

  * Team upload.
  * Remove undeclared pkg_resources usage
  * Trim d/rules with newer syntax

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Feb 2025 17:45:47 +0100

mirtop (0.4.28-2) unstable; urgency=medium

  * Team upload.
  * Fix Python3.12 string syntax
    Closes: #1085726
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Dec 2024 20:41:40 +0100

mirtop (0.4.28-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.4.28
  * Add explicity dependency on python3-six (Closes: #1084347)

  [ Andreas Tille ]
  * Add hint for better testing

 -- Alexandre Detiste <tchet@debian.org>  Sat, 12 Oct 2024 15:06:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
+               python3-six,
                python3-sphinx,
                python3-recommonmark,
                python3-pysam,
                python3-pybedtools,
                python3-pandas,
                python3-biopython
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/mirtop
 Vcs-Git: https://salsa.debian.org/med-team/mirtop.git
 Homepage: https://github.com/miRTop/mirtop
@@ -27,6 +28,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends},
+         python3-six,
          python3-pysam,
          python3-pybedtools,
          python3-pandas,

## mirtop 0.4.30

=== requirements.txt ===
pysam
pybedtools
pandas
biopython
pyyaml
six
pytest

=== debian/changelog ===
mirtop (0.4.30-1) unstable; urgency=medium

  * New upstream version 0.4.30
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Apr 2025 14:17:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-recommonmark,
                python3-pysam,
@@ -28,7 +27,6 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends},
-         python3-six,
          python3-pysam,
          python3-pybedtools,
          python3-pandas,

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,8 @@
 	@echo "Not testing."
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm debian/python3-mirtop/usr/bin/mirtop
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, samtools, bedtools, seqan-apps
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mirtop-$1.tar.gz%" \
   https://github.com/miRTop/mirtop/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
